Om Cogmed te gebruiken dient u te beschikken over een internet browser die up-to-date is. Ook is het van belang dat u Flash geïnstalleerd heeft op uw computer, ook flash dient up-to-date te zijn.